Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Constraint_y.cpp File Reference

`#include "ace/OS.h"`
`#include "Constraint_Interpreter.h"`
`#include "Constraint_Nodes.h"`

Include dependency graph for Constraint_y.cpp:

## Compounds
struct | yytoktype
## Defines
#define | TAO_GT 257
#define | TAO_GE 258
#define | TAO_LT 259
#define | TAO_LE 260
#define | TAO_EQ 261
#define | TAO_NE 262
#define | TAO_EXIST 263
#define | TAO_AND 264
#define | TAO_OR 265
#define | TAO_NOT 266
#define | TAO_IN 267
#define | TAO_TWIDDLE 268
#define | TAO_BOOLEAN 269
#define | TAO_PLUS 270
#define | TAO_MINUS 271
#define | TAO_MULT 272
#define | TAO_DIV 273
#define | TAO_UMINUS 274
#define | TAO_NUMBER 275
#define | TAO_RPAREN 276
#define | TAO_LPAREN 277
#define | TAO_IDENT 278
#define | TAO_STRING 279
#define | TAO_UNKNOWN 280
#define | TAO_UNSIGNED 281
#define | TAO_SIGNED 282
#define | TAO_DOUBLE 283
#define | TAO_CONSTRAINT 284
#define | TAO_SEQUENCE 285
#define | TAO_WITH 286
#define | TAO_MAX 287
#define | TAO_MIN 288
#define | TAO_FIRST 289
#define | TAO_RANDOM 290
#define | yyclearin yychar = -1
#define | yyerrok yyerrflag = 0
#define | YYMAXDEPTH 150
#define | YYERRCODE 256
#define | YYNPROD 38
#define | YYLAST 93
#define | YYDEBUG 0
#define | YYERROR goto yyerrlab
#define | YYACCEPT return(0)
#define | YYABORT return(1)
#define | YYBACKUP(newtoken, newvalue)
#define | YYRECOVERING() (!!yyerrflag)
#define | YYNEW(type) malloc(sizeof(type) * yynewmax)
#define | YYCOPY(to, from, type) (type *) memcpy(to, (char *) from, yynewmax * sizeof(type))
#define | YYENLARGE(from, type) (type *) realloc((char *) from, yynewmax * sizeof(type))
#define | YYFLAG (-10000000)
#define | YYLEX() yylex()
## Typedefs
typedef int | yytabelem
typedef yytoktype | yytoktype
## Functions
int | yylex (void)
int | yyparse (void)
## Variables
int | yychar
int | yyerrflag
YYSTYPE | yylval
YYSTYPE | yyval
int | yy_yys [YYMAXDEPTH]
int * | yys = yy_yys
YYSTYPE | yy_yyv [YYMAXDEPTH]
YYSTYPE * | yyv = yy_yyv
int | yymaxdepth = YYMAXDEPTH
yytabelem | yyexca []
yytabelem | yyact []
yytabelem | yypact []
yytabelem | yypgo []
yytabelem | yyr1 []
yytabelem | yyr2 []
yytabelem | yychk []
yytabelem | yydef []
int | yydebug
YYSTYPE * | yypv
int * | yyps
int | yystate
int | yytmp
int | yynerrs

## Define Documentation

#define TAO_AND 264

#define TAO_BOOLEAN 269

#define TAO_CONSTRAINT 284

#define TAO_DIV 273

#define TAO_DOUBLE 283

#define TAO_EQ 261

#define TAO_EXIST 263

#define TAO_FIRST 289

#define TAO_GE 258

#define TAO_GT 257

#define TAO_IDENT 278

#define TAO_IN 267

#define TAO_LE 260

#define TAO_LPAREN 277

#define TAO_LT 259

#define TAO_MAX 287

#define TAO_MIN 288

#define TAO_MINUS 271

#define TAO_MULT 272

#define TAO_NE 262

#define TAO_NOT 266

#define TAO_NUMBER 275

#define TAO_OR 265

#define TAO_PLUS 270

#define TAO_RANDOM 290

#define TAO_RPAREN 276

#define TAO_SEQUENCE 285

#define TAO_SIGNED 282

#define TAO_STRING 279

#define TAO_TWIDDLE 268

#define TAO_UMINUS 274

#define TAO_UNKNOWN 280

#define TAO_UNSIGNED 281

#define TAO_WITH 286

#define YYABORT return(1)

#define YYACCEPT return(0)

#define YYBACKUP | ( | newtoken,
|  | newvalue |  | ) |

| Value:
    {\
            if ( yychar >= 0 || ( yyr2[ yytmp ] >> 1 ) != 1 )\
            {\
                    yyerror( "syntax error - cannot backup" );\
                    goto yyerrlab;\
            }\
            yychar = newtoken;\
            yystate = *yyps;\
            yylval = newvalue;\
            goto yynewstate;\
    }

#define yyclearin yychar = -1

#define YYCOPY | ( | to,
|  | from,
|  | type |  | ) | (type *) memcpy(to, (char *) from, yynewmax * sizeof(type))

#define YYDEBUG 0

#define YYENLARGE | ( | from,
|  | type |  | ) | (type *) realloc((char *) from, yynewmax * sizeof(type))

#define YYERRCODE 256

#define yyerrok yyerrflag = 0

#define YYERROR goto yyerrlab

#define YYFLAG (-10000000)

#define YYLAST 93

#define YYLEX | (
|  | ) | yylex()

| YYNMBCHARS

#define YYMAXDEPTH 150

#define YYNEW | ( | type |  | ) | malloc(sizeof(type) * yynewmax)

#define YYNPROD 38

#define YYRECOVERING | (
|  | ) | (!!yyerrflag)

## Typedef Documentation

typedef int yytabelem

typedef struct yytoktype yytoktype

## Function Documentation

int yylex | ( | void |  | ) |

int yyparse | ( | void |  | ) |

| YYNMBCHARS

## Variable Documentation

int yy_yys[YYMAXDEPTH]

YYSTYPE yy_yyv[YYMAXDEPTH]

yytabelem yyact[]

| Initial value:
    {

        19,    54,    44,    16,    45,    19,    24,    37,    22,    38,
        39,    24,    21,    22,    18,    20,    23,    21,    25,    18,
        20,    23,    36,     7,     6,     5,     8,     9,    19,    60,
        26,    16,    40,    41,    24,    25,    22,    38,    39,    15,
        21,    11,    18,    20,    23,    32,    33,    34,    35,    30,
        31,    14,    10,    17,    13,    12,     4,     3,     1,     2,
         0,     0,     0,     0,     0,    27,    28,    29,     0,     0,
        42,     0,    48,    49,    50,    51,    52,    53,    43,    47,
        58,    59,    46,     0,     0,     0,     0,     0,     0,     0,
        56,    57,    55 }

int yychar

yytabelem yychk[]

| Initial value:
    {

    -10000000,    -1,    -3,    -2,    -4,   288,   287,   286,   289,   290,
        -5,    -6,    -7,    -8,    -9,   -10,   266,   -11,   277,   263,
       278,   275,   271,   279,   269,   265,   264,    -3,    -3,    -3,
       261,   262,   257,   258,   259,   260,   267,   268,   270,   271,
       272,   273,   -11,    -3,   278,   275,    -4,    -5,    -6,    -6,
        -6,    -6,    -6,    -6,   278,    -8,    -9,    -9,   -10,   -10,
       276 }

int yydebug

yytabelem yydef[]

| Initial value:
    {

         0,    -2,     1,     2,     9,     0,     0,     0,     6,     7,
        11,    18,    20,    22,    25,    28,     0,    30,     0,     0,
        33,    34,     0,    36,    37,     0,     0,     3,     4,     5,
         0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
         0,     0,    29,     0,    32,    35,     8,    10,    12,    13,
        14,    15,    16,    17,    19,    21,    23,    24,    26,    27,
        31 }

int yyerrflag

yytabelem yyexca[]

| Initial value:
    {
    -1, 1,
            0, -1,
            -2, 0,
            }

YYSTYPE yylval

int yymaxdepth = YYMAXDEPTH`[static]`

int yynerrs

yytabelem yypact[]

| Initial value:
    {

      -263,-10000000,  -230,-10000000,  -234,  -235,  -235,  -235,-10000000,-10000000,
    -10000000,  -212,  -245,  -261,  -240,-10000000,  -258,-10000000,  -235,  -276,
    -10000000,-10000000,  -271,-10000000,-10000000,  -235,  -235,  -230,  -230,  -230,
      -235,  -235,  -235,  -235,  -235,  -235,  -277,  -235,  -235,  -235,
      -235,  -235,-10000000,  -247,-10000000,-10000000,  -234,-10000000,-10000000,-10000000,
    -10000000,-10000000,-10000000,-10000000,-10000000,  -233,  -240,  -240,-10000000,-10000000,
    -10000000 }

yytabelem yypgo[]

| Initial value:
    {

         0,    58,    57,    59,    56,    52,    41,    55,    54,    51,
        39,    53 }

int* yyps

YYSTYPE* yypv

yytabelem yyr1[]

| Initial value:
    {

         0,     1,     1,     2,     2,     2,     2,     2,     3,     3,
         4,     4,     5,     5,     5,     5,     5,     5,     5,     6,
         6,     7,     7,     8,     8,     8,     9,     9,     9,    10,
        10,    11,    11,    11,    11,    11,    11,    11 }

yytabelem yyr2[]

| Initial value:
    {

         0,     3,     3,     5,     5,     5,     3,     3,     7,     3,
         7,     3,     7,     7,     7,     7,     7,     7,     3,     7,
         3,     7,     3,     7,     7,     3,     7,     7,     3,     5,
         3,     7,     5,     3,     3,     5,     3,     3 }

int * yys = yy_yys

int yystate

int yytmp

YYSTYPE * yyv = yy_yyv

YYSTYPE yyval